Subject: bug#78038: closed (Re: bug#78038: 26.3; query-replace)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 31 May 2025 11:19:09 +0000

Your bug report

#78038: 26.3; query-replace

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
78038: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=78038
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#78038: 26.3; query-replace
From: Eli Zaretskii <[email-masked]>
To: Niclas Olsson <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 31 May 2025 14:18:00 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Thu, 22 May 2025 10:53:26 +0000 (UTC)
> From: Niclas Olsson <[email-masked]>
> Cc: "[email-masked]" <[email-masked]>
> 
> yes I did, but again:
> 
> @gnu/emacs:
> 26.3 was stated to be the version by emacs itself when creating the initial mail with 
> M-x report-emacs-bug
> 
> and additionally:
> 
> GNU Emacs 26.3 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.22.30)
>  of 2020-06-02

Thanks.

So I guess we did everything that can be done here: the proposed
solution works since Emacs 28.3, and users of older versions are urged
to upgrade.  Since we no longer maintain Emacs 26.3, I'm now closing
this bug.

Subject: 26.3; query-replace
From: Niclas Olsson <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Thu, 24 Apr 2025 09:31:54 +0000 (UTC)
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi gnu/emacs,
first: thank you all for many years of providing a great editor.
last: sorry to say but my patience with emacs >23.1 is almost gone
PLEASE, PLEASE; PLEASE start putting new behaviors disabled.The query-replace (default FROM -> TO) is a major disaster.I do not want FROM -> TO suggestions and no matter what I tryand spend on googling this crap I cant turn it off.Have you ever imagined to try out a very long FROM stringand then want to do another search/replace after???For some yers I have actually been trying more and more to leaveemacs for good, it is closing in to the the swap.The last really decent version was 23.1 something.Every single new version simply just adds more and more strangenessand more meaningless settings to figure out. I have work to do...The faces is also simply just annouying. Now left with a too darkbuffer name of the inactive buffer when having two verticals one.Cant hardly read what file is opened in the inactive before I clickin it to activate it. Have been emacs fan since 2004 but...
I have tried all setq on the:
query-replace-defaults        query-replace-from-history-variablequery-replace-from-to-separator        query-replace-helpquery-replace-highlight        query-replace-historyquery-replace-interactive        query-replace-lazy-highlightquery-replace-map        query-replace-show-replacementquery-replace-skip-read-only        query-replace-to-history-variable
but I simply cant get rid of the very annoying, totally unnecessary:(default FROM -> TO). Some settings to nil brakes everything and nothing seems to turn off something no one really needs...
The UTF handling is still after many years a constant pain which destroyssome files having swedish characters in them, iso-8859-1 is not workingcorrectly anymore.
I use emacs:privately (NT emacs on win10, a very old one but does the job)professionally: every single day. Due to all different versions I often
nowadays faces emacs behaviors I do not ask for or wants. Old  versionssilently disappears from linux distos and leaveas me and many othersscratching our heads what emacs strangeness now has been introduced inthis newer version...
Reagrds Niclas Olsson, Sweden